aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAvatar Ciaran McCreesh <ciaran.mccreesh@googlemail.com> 2010-05-26 10:40:16 +0100
committerAvatar Ciaran McCreesh <ciaran.mccreesh@googlemail.com> 2010-05-26 10:40:16 +0100
commit9b78ec9c706f98f827581626b1b6d3646dbaedeb (patch)
tree93aff9657b5a84e8a6a5b48fadf6d5fd54aa6286
parentab714233c1ce1702d9146f7b5e5bbb3e3b9649c2 (diff)
downloadpaludis-9b78ec9c706f98f827581626b1b6d3646dbaedeb.tar.gz
paludis-9b78ec9c706f98f827581626b1b6d3646dbaedeb.tar.xz
More useful exit statuses
-rwxr-xr-xpaludis/repositories/e/ebuild/ebuild.bash6
-rwxr-xr-xpaludis/repositories/e/ebuild/pipe_functions.bash8
-rwxr-xr-xpaludis/repositories/e/ebuild/write_vdb_entry.bash6
3 files changed, 10 insertions, 10 deletions
diff --git a/paludis/repositories/e/ebuild/ebuild.bash b/paludis/repositories/e/ebuild/ebuild.bash
index 49f6ba1..ccba87f 100755
--- a/paludis/repositories/e/ebuild/ebuild.bash
+++ b/paludis/repositories/e/ebuild/ebuild.bash
@@ -157,7 +157,7 @@ ebuild_load_module()
if ! source "${d}/${1}.bash"; then
type die &>/dev/null && eval die "\"Error loading module \${1}\""
echo "Error loading module ${1}" 1>&2
- exit 123
+ exit 124
fi
return
else
@@ -169,7 +169,7 @@ ebuild_load_module()
type die &>/dev/null && eval die "\"Couldn't find module \${1} (looked in \${t})\""
echo "Couldn't find module ${1} (looked in ${t})" 1>&2
- exit 123
+ exit 125
}
ebuild_load_module pipe_functions
@@ -444,7 +444,7 @@ ebuild_load_em_up_dan()
if [[ -e ${ROOT}/etc/profile.env ]] && ! source "${ROOT}"/etc/profile.env; then
echo "error sourcing ${ROOT}/etc/profile.env" >&2
- exit 123
+ exit 126
fi
ebuild_sanitise_envvars
diff --git a/paludis/repositories/e/ebuild/pipe_functions.bash b/paludis/repositories/e/ebuild/pipe_functions.bash
index 442c2a8..788ae37 100755
--- a/paludis/repositories/e/ebuild/pipe_functions.bash
+++ b/paludis/repositories/e/ebuild/pipe_functions.bash
@@ -1,7 +1,7 @@
#!/usr/bin/env bash
# vim: set sw=4 sts=4 et :
-# Copyright (c) 2007, 2008, 2009 Ciaran McCreesh
+# Copyright (c) 2007, 2008, 2009, 2010 Ciaran McCreesh
#
# Based in part upon ebuild.sh from Portage, which is Copyright 1995-2005
# Gentoo Foundation and distributed under the terms of the GNU General
@@ -40,7 +40,7 @@ paludis_pipe_command()
echo "paludis_pipe_command: making ebuild PID ${EBUILD_KILL_PID} exit with error" 1>&2
kill -s SIGUSR1 "${EBUILD_KILL_PID}"
fi
- exit 123
+ exit 124
fi
local r r1 rest a
@@ -52,7 +52,7 @@ paludis_pipe_command()
echo "paludis_pipe_command: making ebuild PID ${EBUILD_KILL_PID} exit with error" 1>&2
kill -s SIGUSR1 "${EBUILD_KILL_PID}"
fi
- exit 123
+ exit 125
fi
})"
@@ -65,7 +65,7 @@ paludis_pipe_command()
echo "paludis_pipe_command: making ebuild PID ${EBUILD_KILL_PID} exit with error" 1>&2
kill -s SIGUSR1 "${EBUILD_KILL_PID}"
fi
- exit 123
+ exit 126
fi
echo "$rest"
diff --git a/paludis/repositories/e/ebuild/write_vdb_entry.bash b/paludis/repositories/e/ebuild/write_vdb_entry.bash
index 8aec232..5d98cb4 100755
--- a/paludis/repositories/e/ebuild/write_vdb_entry.bash
+++ b/paludis/repositories/e/ebuild/write_vdb_entry.bash
@@ -1,7 +1,7 @@
#!/usr/bin/env bash
# vim: set sw=4 sts=4 et :
-# Copyright (c) 2006, 2007, 2008, 2009 Ciaran McCreesh
+# Copyright (c) 2006, 2007, 2008, 2009, 2010 Ciaran McCreesh
#
# This file is part of the Paludis package manager. Paludis is free software;
# you can redistribute it and/or modify it under the terms of the GNU General
@@ -80,7 +80,7 @@ ebuild_load_module()
if ! source "${d}/${1}.bash"; then
type die &>/dev/null && eval die "\"Error loading module \${1}\""
echo "Error loading module ${1}" 1>&2
- exit 123
+ exit 124
fi
return
else
@@ -92,7 +92,7 @@ ebuild_load_module()
type die &>/dev/null && eval die "\"Couldn't find module \${1} (looked in \${t})\""
echo "Couldn't find module ${1} (looked in ${t})" 1>&2
- exit 123
+ exit 125
}
ebuild_load_module die_functions